Verify email and authentication tickets
GET/verify
GET
/verify
Verify tickets created by email verification, magic link authentication, or password reset processes. Redirects the user to the appropriate destination upon successful verification.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”ticket
required
Ticket
string
Example
verifyEmail:xxxxxxxxTicket
deprecated
Type of the ticket
string
Example
emailVerifyType of the ticket. Deprecated, no longer used
redirectTo
required
Target URL for the redirect
string format: uri
Example
https://my-app.com/catch-redirectionTarget URL for the redirect
codeChallenge
string
PKCE code challenge (S256). When present, the redirect will contain an authorization code instead of a refresh token.
Responses
Section titled “ Responses ”Redirect response
Headers
Section titled “Headers”Location
required
string format: uri
URL to redirect to
default
Section titled “default”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400message
required
Human-friendly error message
string
Example
Invalid email formaterror
required
Error code identifying the specific application error
string